---
name: Bug report
about: Create a report to help us improve
title: 'Please replace with a clear and descriptive title'
labels: bug
assignees: ''
---

Thanks for reporting this bug!

If this is related to a typo or the documentation being unclear, please click on
the relevant page's `Edit` button (pencil icon) and suggest a correction
instead.

Please search other issues to make sure this bug has not already been reported.

Then fill in the sections below.

**Describe the bug**

A clear and concise description of what the bug is.

**Steps to reproduce**

Step-by-step instructions on how to reproduce the behavior.

Example:

1. Type the following command: [...]
2. etc.

**Expected behavior**

A clear and concise description of what you expected to happen.

**Configuration**

Command line options and/or configuration file, if any.

**Environment**

Enter the following command in a terminal and copy/paste its output:

```bash
npx envinfo --system --binaries --browsers --npmPackages human-signals
```

**Screenshots**

If applicable, add screenshots to help explain your problem.

**Can you submit a pull request?**

Yes/No.

Pull requests are welcome! If you would like to help us fix this bug, please
check our [contributions guidelines](../blob/main/CONTRIBUTING.md).
